SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2013-05-17 16:22:29

xaos52
The Good Doctor
From: Planet of the @s
Registered: 2011-06-24
Posts: 4,602

*** WARNING *** for users tracking Jessy or Sid.

Don't install the latest liquorix kernel with smxi when you need to compile a prop kernel module against that kernel.
Wait until the libc6 version against which the liquorix kernel is compiled has landed in Jessy or Sid.

See this post for more info.

Last edited by xaos52 (2013-05-17 16:23:37)

Offline

Be excellent to each other!

#2 2013-05-17 19:10:25

wuxmedia
wookiee madclaw
From: Back in Blighty
Registered: 2012-03-09
Posts: 1,478
Website

Re: *** WARNING *** for users tracking Jessy or Sid.

merci bien Xaos 8)
you need a RSS feed   big_smile

Offline

#3 2013-05-18 23:45:54

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: *** WARNING *** for users tracking Jessy or Sid.

Anyone knows what to make of this:

Parsing Found/Fixed information... Done
serious bugs of libpng12-dev (-> 1.2.49-4) <unfixed>
 #652001 - libpng-dev: breaks "pkg-config --cflags gtk+-3.0"
Summary:
 libpng12-dev(1 bug)

Should I hold off my install until this is fixed? This bug is in one of the extra-packages that come with the tint2-dependencies. This is what I tried to install:

sudo apt-get install libcairo2-dev libpango1.0-dev libglib2.0-dev libimlib2-dev libxinerama-dev libx11-dev libxdamage-dev libxcomposite-dev libxrender-dev libxrandr-dev libgtk2.0-dev

I have to add that I`m on Sid...

Edit: Oops, I guess I can answer the question myself, I will have to hold off this project, because the next thing I tried to do, was to install subversion-tools, and that provided me with this error-report:

Parsing Found/Fixed information... Done
serious bugs of subversion (-> 1.7.9-1+nmu1) <forwarded>
 #692237 - svn: E235000: In file '/tmp/buildd/subversion-1.7.5/subversion/libsvn_wc/update_editor.c' line 1583: assertion failed (action == svn_wc_conflict_action_edit || action == svn_wc_conflict_action_delete || action == svn_wc_conflict_action_replace)
serious bugs of exim4 (-> 4.80-7) <unfixed>
 #678337 - exim4: Segfault at start of main()
serious bugs of subversion (-> 1.7.9-1+nmu1) <unfixed>
 #705364 - subversion: non-deterministic test results can lead to build failures
 #689919 - subversion: includes a non-free file
Summary:
 exim4(1 bug), subversion(3 bugs)

I chickened out, and turned down both installs, quite confident that it was the right thing to do:)

Last edited by ew (2013-05-18 23:56:20)


- apt-mark hold account

Offline

#4 2013-05-19 00:14:17

nadir
#! Member
Registered: 2010-10-20
Posts: 83

Re: *** WARNING *** for users tracking Jessy or Sid.

As far i can tell:
If you compile GTK apps you will need to use gcc 'pkg-config --cflags gtk+-{2,3}.0' 'pkg-config --clibs gtk+-{2,3}.0'  source.c
From your "apt-get install it sound like you would like to compile tint2 yourself.
If the breakage of pkg-config will make that impossible is beyond me.
https://developer.gnome.org/gtk-tutorial/2.90/x111.html
Besides that: shooting in the dark i would assume that breakage of pkg-config is usually not the end of the world (usually means; if one doesn't plan to compile gtk3 apps).

Truth is: I don't fully understand the answer:
http://bugs.debian.org/cgi-bin/bugrepor … =652001#12
(he says it should be dropped, but the bug-report is a year old and it didn't happen yet?).

.... after fooling around a bit ....
Might be that he simply "forgot" to close the thread?

foo% apt-cache policy libpng12-dev
libpng12-dev:
  Installed: 1.2.49-1
  Candidate: 1.2.49-1
  Version table:
 *** 1.2.49-1 0
        500 http://ftp.de.debian.org/debian/ wheezy/main i386 Packages
        100 /var/lib/dpkg/status
foo% pkg-config --cflags gtk+-3.0 
-pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12  
foo% 

Last edited by nadir (2013-05-19 00:23:42)

Offline

#5 2013-05-19 00:30:56

VastOne
#! Ranger
From: V-Ger
Registered: 2011-04-26
Posts: 10,165
Website

Re: *** WARNING *** for users tracking Jessy or Sid.

Thanks for this heads up xaos52, well done...  smile


VSIDO | Words That Build Or Destroy

I dev VSIDO

Offline

#6 2013-05-19 00:34:46

Kuno
#! Die Hard
From: Osnabrück - DE
Registered: 2009-01-09
Posts: 674

Re: *** WARNING *** for users tracking Jessy or Sid.

xaos52 wrote:

Don't install the latest liquorix kernel with smxi when you need to compile a prop kernel module against that kernel.
Wait until the libc6 version against which the liquorix kernel is compiled has landed in Jessy or Sid.

See this post for more info.

FYI: This also applies to virtualbox not working with latest liquorix kernel 3.8-13. With kernel 3.8-10 it's ok!

Offline

#7 2013-05-19 00:51:20

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: *** WARNING *** for users tracking Jessy or Sid.

nadir wrote:

As far i can tell:
If you compile GTK apps you will need to use gcc 'pkg-config --cflags gtk+-{2,3}.0' 'pkg-config --clibs gtk+-{2,3}.0'  source.c
From your "apt-get install it sound like you would like to compile tint2 yourself.
If the breakage of pkg-config will make that impossible is beyond me.
https://developer.gnome.org/gtk-tutorial/2.90/x111.html
Besides that: shooting in the dark i would assume that breakage of pkg-config is usually not the end of the world (usually means; if one doesn't plan to compile gtk3 apps).

Truth is: I don't fully understand the answer:
http://bugs.debian.org/cgi-bin/bugrepor … =652001#12
(he says it should be dropped, but the bug-report is a year old and it didn't happen yet?).

.... after fooling around a bit ....
Might be that he simply "forgot" to close the thread?

foo% apt-cache policy libpng12-dev
libpng12-dev:
  Installed: 1.2.49-1
  Candidate: 1.2.49-1
  Version table:
 *** 1.2.49-1 0
        500 http://ftp.de.debian.org/debian/ wheezy/main i386 Packages
        100 /var/lib/dpkg/status
foo% pkg-config --cflags gtk+-3.0 
-pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12  
foo% 

Ok, but even if I`m fine with the  libpng12-dev bug, it doesn`t help me much, because I also need subversion-tools and there i got even more bugs....

By the way, yes, I want to patch tint2 with the latest code, and I have done this several times before without a issue... The manual is here: http://crunchbang.org/forums/viewtopic.php?id=16997 ....

Perhaps I could temporarily switch my sources to Jessie and see if it`s bugfree there, and if I get to install it from Jessie, switch sources to Sid again, and then then wait a couple of days to do a dist-upgrade....


- apt-mark hold account

Offline

#8 2013-05-19 01:04:58

nadir
#! Member
Registered: 2010-10-20
Posts: 83

Re: *** WARNING *** for users tracking Jessy or Sid.

Don't take my word for it, but i don't think you need to switch sources.
Add the testing source and install a specific version:

apt-get install <package name>=<version>

from here:
http://blog.andrewbeacock.com/2007/03/h … on-of.html

Then hold it:

echo "package_name hold"|dpkg --set-selections

and when the problem is sorted unhold it:

echo "package_name install"|dpkg --set-selecions

from here:
http://forums.debian.net/viewtopic.php?t=240

I barely use different sources, so this is just "in theory it should work"

This way or that way: good luck.
(and thanks for the link)

Offline

#9 2013-05-19 01:09:44

ew
#! Die Hard
Registered: 2012-09-27
Posts: 1,975

Re: *** WARNING *** for users tracking Jessy or Sid.

nadir wrote:

This way or that way: good luck.
(and thanks for the link)

Thanks, that sounds like good advice. I will try that tomorrow, but now it`s night for me. I got sidetracked in another issue. Slim is eating 19 ms of my boot time, even if I don`t use slim. So I have to take care of that first:)

Last edited by ew (2013-05-19 01:10:28)


- apt-mark hold account

Offline

#10 2013-05-22 13:54:30

mosesgunn
#! CrunchBanger
Registered: 2012-10-20
Posts: 133

Re: *** WARNING *** for users tracking Jessy or Sid.

How will we be able to confirm that libc6 is updated in the jessie repos?

Offline

#11 2013-05-22 14:38:53

VastOne
#! Ranger
From: V-Ger
Registered: 2011-04-26
Posts: 10,165
Website

Re: *** WARNING *** for users tracking Jessy or Sid.

If you have sources to jessie, run

apt-cache policy

and it will show you what versions are in your sources


VSIDO | Words That Build Or Destroy

I dev VSIDO

Offline

#12 2013-05-22 14:43:10

mosesgunn
#! CrunchBanger
Registered: 2012-10-20
Posts: 133

Re: *** WARNING *** for users tracking Jessy or Sid.

Learn something new everyday!  Thanks V1

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.
Server: acrobat

Debian Logo